<?php
// +-----------------------------------------------------------------------+
// | Mod Name : Download_multi                                             |
// | Mod Version : 0.9-1                                                   |
// | Mod Orignal author: Tboris                                            |
// | Mod Second author : Cestlodovic                                       |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// | Mod description :                                                     |
// | Ce module est base sur le module existant pour le telechargement,     |
// | cette version permet le telechargement sur plusieurs pages.           |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

//--------------------------------------------------------------------- include
define('PHPWG_ROOT_PATH','../../../');
include_once(PHPWG_ROOT_PATH.'include/common.inc.php');

check_status(ACCESS_CLASSIC);

// Récupération de la class du plugin
$DownloadMulti = get_plugin_data('download_multi');

$title = ' Download Multi : Panier';
$page['body_id'] = 'DownloadMulti';
$page['section'] = '';
include(PHPWG_ROOT_PATH.'include/page_header.php');

// include menubar
include(PHPWG_ROOT_PATH.'include/menubar.inc.php');

$template->set_filenames(
  array('DownloadMulti_panier' => $DownloadMulti->plugin_path.'/template/DmPanier.tpl')
);

if(isset($_GET['DmAction'])) {
  $DmAction = $_GET['DmAction'];
}

if(isset($_POST['DmPanier'])) {
  $url = get_root_url().$_POST['DmPanier'];
}

$template->assign('preview',
  array(
    'U_HOME' => duplicate_index_URL(),
    'U_HELP' => PHPWG_ROOT_PATH.'popuphelp.php?page=download_multi'
  )
);

if(isset($DmAction)) {
  switch($DmAction) {
    // Formulaire pour choisir
    // un préfix différent que
    // celui par défaut
    case 'name':
      $DownloadMulti->DmPanierPrefixZip();
    break;

    // Génération des fichiers zip
    case 'genfic':
  	  if(isset($_POST['nom'])) {
        $prefix = $_POST['nom'];
      }
      $DownloadMulti->DmPanierGenZip($prefix);
    break;

    // Liste le répertoire utilisateur
    case 'liste':
      $DownloadMulti->DmPanierListeDir();
    break;

    // Vide les archives
    case 'del':
  	  if(isset($_POST['fic'])) {
        $fic = $_POST['fic'];
      }
      $DownloadMulti->DmPanierDelUserDir($fic);
      $DownloadMulti->DmPanierListeDir();
    break;

    // Vide le panier
    case 'delcart':
      $DownloadMulti->DmPanierDelete();
    break;

    default:
      $DownloadMulti->DmPanierListeDir();
    break;
  }
} else {
  $DownloadMulti->DmPanierListeDir();
}

$template->parse('DownloadMulti_panier');

include(PHPWG_ROOT_PATH.'include/page_tail.php');
?>
